Subject: bug#50450: 28.0.50; nnmaildir cannot find article file

From: Philip Kaludercic <[email-masked]>
Date: Tue, 07 Sep 2021 16:25:55 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>>>From time to time I get error messages like
>>
>> nnmaildir--article-set-flags: Couldn’t find article file /home/philip/Mail/Pers/Sent/cur/1631002186.M670797P704685Q0.icterid:2,S
>>
>> when trying to send a message.
>
> I don't use nnmaildir myself (and I'm not familiar with how maildir
> works, really).  Can you propose a patch to fix this yourself?  :-)

I would have, but I am not familiar with the inner workings for Gnus,
and as nnmaildir--article-set-flags was not documented, I was hesitant
to change how it behaves. But I'll try to see if I can fix
anything. Hopefully it is ok to come back to this thread if I have
questions.

-- 
	Philip Kaludercic